Get a gift card
GET https://{handle}.myshopline.com/admin/openapi/v20270301/gift_cards/:gift_card_id.json
handle : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is open001.myshopline.com , the store handle is open001 .Get the information of a single gift card.
Path Parameters
- gift_card_id string requiredThe unique identifier for the gift card.
Maximum length:64Example:30171274557691301804060045
Request Headers
- Content-Type string requiredThe field must be set to the fixed value
application/json; charset=utf-8. - Authorization string requiredThe access token for the API resource. Refer to App authorization to obtain the access token, and then pass the obtained token in the Bearer format.Example:
Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA
Status Codes
- 200
- 401
- 429
For the complete list of codes and messages, see Http status code.
Response Headers
traceId
A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise.
Response Body
gift_cardobject
Gift card information.expires_on stringThe current expiration date and time of the gift card. Format: ISO 8601. Returnsnullif the card never expires.Example:2023-08-16T23:59:59+08:00id stringThe unique identifier for the gift card.Example:30157043359245339231360282last_characters stringThe last four characters of the gift card code.Example:d246line_item_id stringThe associated order line item ID.Example:18060183094426803997483534balance stringThe current balance of the gift card. The value is rounded to two decimal places. The currency unit is the base unit of the store's current settlement currency.Example:299.99created_at stringThe date and time when the gift card was created. Format: ISO 8601.Example:2023-08-16T23:59:59+08:00customer_id stringThe ID of the customer who owns the gift card.Example:4200113946order_id stringThe associated order ID.Example:24060486231247568944830202api_client_id stringThe unique identifier for the calling API client.Example:36d2bc4e97af056677b61c529d9e3a3f7396040drecipient_attributesobject
The recipient information for the gift card.email stringRecipient email address for the gift card.Example:demo@demo.commessage stringMessage for the gift card.Example:This is a messagenickname stringRecipient nickname for the gift card.Example:nicknamesend_around stringThe scheduled delivery date and time of the gift card. Format: ISO 8601.Example:2025-06-28T23:59:59+08:00initial_value stringThe initial amount of the gift card. The value is rounded to two decimal places. The currency unit is the base unit of the store's current settlement currency.Example:299.99note stringThe note content of the gift card.Example:This is a noteupdated_at stringThe date and time when the gift card was last updated. Format: ISO 8601.Example:2023-08-16T23:59:59+08:00user_id stringThe ID of the SHOPLINE Admin user who performed the latest action on the gift card.Example:4214250478disabled_at stringThe date and time when the gift card was disabled. Format: ISO 8601.Example:2023-08-16T23:59:59+08:00
API Explorer
Debugger
Examples
Was this article helpful to you?